Subject: bug#71462: Default ntp service configuration not working on IPv6 network

From: Leo Famulari <[email-masked]>
Date: Mon, 17 Jun 2024 19:18:20 -0400

On Mon, Jun 10, 2024 at 08:30:32AM +0000, Guillaume Le Vaillant wrote:
> On an IPv6-only network, the default configuration for ntp-service-type
> doesn't work, because the default pool used (<0.guix.pool.ntp.org>)
> doesn't have IPv6 addresses.
> 
> In fact, the <1.guix.pool.ntp.org> and <3.guix.pool.ntp.org> pools don't
> have IPv6 addresses either. Only the <2.guix.pool.ntp.org> pool works
> with IPv6.
> 
> Would it be possible to add IPv6 support to pools 0, 1 and 3?

It's not something that we, as Guix, can do.

The NTP pool is run by a separate organization, and the question of
which DNS names should return AAAA (IPv6) records is open:

https://community.ntppool.org/t/the-time-has-come-we-must-enable-ipv6-entirely/1968

However, the reason they give us 4 different addresses is so that we can
spread the load around. Our NTP services should choose randomly at
run-time. Or we could just make number 2 the default, and then we'll
have IPv6 support. Or something more complicated...